Skip to main content
POST
Post a test message to verify delivery

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

project_reference
string
required

Project slug, UUID, or domain that identifies the project.

channel_id
string<uuid>
required

Body

application/json
slack_channel_id
string
required

Slack channel for the test message. Slack refusals return status failed with a failure code. A missing Slack connection returns validation-failed; a transient connection refresh failure returns external-service-error.

Required string length: 1 - 255
text
string

Message text; default 'Veryfront Slack connection test'.

Required string length: 1 - 4000

Response

Delivery result

channel_id
string<uuid>
required
slack_channel_id
string
required
status
enum<string>
required
Available options:
delivered,
failed
message_id
string | null
required
failure_code
enum<string> | null
required
Available options:
not_in_channel,
channel_not_found,
needs_reauth,
rate_limited,
provider_error,
null
retryable
boolean
required
checked_at
string
required